/*
             CREATOR: DAn williams
                DATE:
         DESCRIPTION:
            FILENAME:    .c
             STARTED:
    OPERATING SYSTEM: Linux
1st VERSION FINISHED:



*/

#include "parallel.h"
#include "main.h"

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include "74ls595.h"



int main(int argc, char** argv)  {

  // local variables  
  int retcode;
  unsigned char data;
  long i;
  
  printf(" This program [ ] \n");
  printf(" Written by Dan Williams jul 26 2008 \n");
   
  retcode = 0;
  
  port = parallel_Init ( 0x378 );
//  port = parallel_Init( 0x278 );
  
  port->ControlInversions = 0x04;
  port->StatusInversions  = PARALLEL_IN_NORMALIZED;
   
   
  LS595_Init(port);
  
  while(1) {  
    for (i = 0; i < 16; i++) {
      LS595_Set16(1 << i);
      usleep(75000);
    }
  }
  
  
//  CD4094_Set16(0xC001);
  
  parallel_Destroy( port );

  return(retcode);
}
